// Copyright (c) 2021, the Dart project authors.  Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed by a
// BSD-style license that can be found in the LICENSE file.

#include <stdio.h>
#include <stdlib.h>
#include <stdbool.h>
#include <time.h>
#include <unistd.h>
#include "spi.h"

spi_t *dart_spi_open(const char *path,int mode,int maxSpeed) {
    spi_t spi = *spi_new();
    int error = spi_open(pi, path, mode,max_speed);
    if (error < 0)
    {
        return 0;
    }
    return i2c;
}

spi_t *dart_spi_open_advancded(const char *path,int mode,int maxSpeed, int bit_ordner) {
    spi_t spi = *spi_new();
    int error = spi_open(pi, path, mode,max_speed);
    if (error < 0)
    {
        return 0;
    }
    return i2c;
}

int dart_spi_dispose(spi_t *spi)
{
    int error = 0;
    error = spi_close(spi);
    if (error < 0)
    {
        return error;
    }
    spi_free(spi);
    return 0;
}

const char *dart_spi_errmsg(spi_t *spi)
{
    return spi_errmsg(spi);
}

int dart_spi_errno(spi_t *spi)
{
    return spi_errno(spi);
}



